Name:		t-lasku
Version:	1.21.1
Release:	%mkrel 3
Summary:	Finnish invoicing software
Group:		Office/Finance
License:	BSD
URL:		http://helineva.net/%{name}/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5PrintSupport)
Requires:	qtbase5-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%setup -q -T -b1
%else
%setup -q -T -b0
%endif

%build
gcc %{optflags} %{ldflags} -o t-lasku t-lasku-relocatable \
	-lQt5Script -lQt5Sql -lQt5Xml -lQt5Gui -lQt5Core  \
	-lQt5Widgets -lQt5PrintSupport -lpthread -lstdc++

gcc %{optflags} %{ldflags} -o t-lasku-cli t-lasku-cli-relocatable \
        -lQt5Script -lQt5Sql -lQt5Xml -lQt5Gui -lQt5Core  \
       	-lQt5Widgets -lQt5PrintSupport -lpthread -lstdc++


%install
%makeinstall_std

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.21.1-3.mga5
+ Revision: 741661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.21.1-2.mga5.nonfree
+ Revision: 689672
- Mageia 5 Mass Rebuild

* Sat Aug 09 2014 wally <wally> 1.21.1-1.mga5.nonfree
+ Revision: 661256
- new version 1.21.1

* Sun Jul 27 2014 wally <wally> 1.21.0-1.mga5.nonfree
+ Revision: 657559
- new version 1.21.0
- switch to Qt5
- build t-lasku-cli also
- use .desktop file from upstream

* Wed May 14 2014 wally <wally> 1.20.2-1.mga5.nonfree
+ Revision: 622778
- new version 1.20.2

* Fri May 02 2014 wally <wally> 1.20.1-1.mga5.nonfree
+ Revision: 619591
- new version 1.20.1

* Thu Oct 31 2013 tmb <tmb> 1.19.0-2.mga4.nonfree
+ Revision: 548497
- Mageia 4 rebuild

* Sun Aug 11 2013 wally <wally> 1.19.0-1.mga4.nonfree
+ Revision: 465583
- new version 1.19.0

* Sat Jun 08 2013 wally <wally> 1.18.2-1.mga4.nonfree
+ Revision: 440650
- new version 1.18.2

* Mon Jan 14 2013 umeabot <umeabot> 1.18.0-2.mga3.nonfree
+ Revision: 383990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 wally <wally> 1.18.0-1.mga3.nonfree
+ Revision: 334726
- new version 1.18.0
- clean .spec

* Thu Nov 08 2012 wally <wally> 1.17.0-1.mga3.nonfree
+ Revision: 316493
- fix RPM group
- new version 1.17.0

* Tue May 29 2012 wally <wally> 1.16.0-1.mga3.nonfree
+ Revision: 249467
- new version 1.6.0

* Sun Jan 01 2012 wally <wally> 1.15.0-1.mga2.nonfree
+ Revision: 189474
- new version 1.15.0

* Tue Dec 06 2011 wally <wally> 1.14.0-1.mga2.nonfree
+ Revision: 177385
- new version 1.14.0

* Sun Oct 02 2011 wally <wally> 1.13.1-1.mga2.nonfree
+ Revision: 150952
- new version 0.13.1

* Sun Sep 18 2011 wally <wally> 1.13.0-1.mga2.nonfree
+ Revision: 145133
- new version 1.13.0
- new version 1.12.0
- new version 1.11.0
- new version 1.10.0
- rename the .desktop file

* Sat Jul 09 2011 wally <wally> 1.9.7-1.mga2.nonfree
+ Revision: 121164
- new version 1.6.7

* Tue Jun 07 2011 wally <wally> 1.9.6-1.mga2.nonfree
+ Revision: 101481
- new version 1.9.6

* Wed May 11 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 97294
- new version 1.9.4

* Wed May 04 2011 wally <wally> 1.9.2-1.mga1
+ Revision: 94921
- new version 1.9.2

* Mon Apr 18 2011 wally <wally> 1.9.1-1.mga1
+ Revision: 87852
- new version 1.9.1

* Wed Apr 13 2011 wally <wally> 1.9.0-1.mga1
+ Revision: 84431
- new version 1.9.0

* Sat Feb 26 2011 wally <wally> 1.8.0-1.mga1
+ Revision: 60190
- new version 1.8.0
- drop buildroot definition

* Sun Feb 13 2011 wally <wally> 1.7.0-2.mga1
+ Revision: 51245
- imported package t-lasku


* Sat Feb 12 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-2mdv2011.0
+ Revision: 637359
- install translations

* Tue Feb 08 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-1
+ Revision: 636932
- new version 1.7.0

* Thu Jan 27 2011 Jani Välimaa <wally@mandriva.org> 1.6.2-1
+ Revision: 633246
- update to new version 1.6.2

* Sun Jan 09 2011 Jani Välimaa <wally@mandriva.org> 1.5.0-1
+ Revision: 630829
- update to new version 1.5.0

* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 624543
- update to new version 1.4.2

* Mon Dec 20 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 623410
- new version 1.4.1

* Fri Dec 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 620417
- new version 1.4.0
- add X-MandrivaLinux-CrossDesktop to the .desktop file
- tighten build requirements

* Mon Nov 22 2010 Jani Välimaa <wally@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 599720
- new version 1.3.0

* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 590971
- new version 1.2.0

* Thu Oct 28 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-3mdv2011.0
+ Revision: 589842
- fix .desktop file
- remove word 'free' from summary and description as t-lasku isn't fully free
  (free of charge but closed source)

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-2mdv2011.0
+ Revision: 589511
- update sources
- fix license

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 589476
- fix file list
- import t-lasku

